Subject: Re: paceDateKarlGuertin

From: grayrest <[email-masked]>
Date: Thu, 12 Aug 2004 20:20:36 -0400

On Fri, 13 Aug 2004 10:02:41 +1000, Eric Scheid
<[email-masked]> wrote:
> On 13/8/04 8:21 AM, "grayrest" <[email-masked]> wrote:
> 
> > [1] http://www.intertwingly.net/wiki/pie/paceDateKarlGuertin
> 
> > atom:d ("modified")
> >
> > If a provider cannot distinguish between significant and non-significant
> > updates, the atom:c element SHOULD be present and the atom:d element MUST NOT
> > be present.
> 
> I think this is the wrong way around. You are muddying the special meaning
> of atom:c by injecting the values which more properly should be in atom:d.

I initially had this the other way around. I thought that atom:c would
be the special case. I changed it in an attempt to make implementation
easier.  The though was
"If atom:c is present the user will want to see that the entry has
been updated. If atom:d is also present, the publisher wishes to
notify the user that the edit was minor, which the user can choose to
ignore. If a provider cannot provide both atom:c and atom:d, then
atom:c should be provided and the user able to choose."

If the current order/semantics sticks then I should go back and
specify that there must be an atom:c for every atom:d.

This could be written either way, it probably makes more sense to do
it the other way. I'm updating the wiki.

Eric's post continues:
> There will be feeds where the publisher can and does provide atom:c (aka
> "updated"), but cannot be trusted to do so in an ethical manner (eg. not
> signalling major retractions, deletions, or corrections). For feeds such as
> these, even though both atom:c and atom:d are present I would want to set a
> preference in my reader of choice that I would like to see changes based on
> atom:d. Given that flexibility, I would therefore be able to be notified of
> changes in feeds which only supply atom:d and not atom:c.
> 
> Of course, some aggregator developers won't provide any such flexibility. I
> won't choose to use their software.
> 
> e.
> 
>